<template>
  <v-sheet>
    <v-form>
      <v-text-field v-model="caName" label="CA Name"></v-text-field>
      <v-select v-model="keyType" label="Key Type" :items="['RSA', 'ECDSA']" />
      <v-select v-model="digestAlgorithm" label="Digest Algorithym" :items="['sha256', 'sha384', 'sha512']" />
      <v-number-input v-model="lifetime" label="Lifetime"></v-number-input>
      <v-text-field v-model="commonName" label="Common Name"></v-text-field>
      <v-select v-model="country" label="Country" :items="Country" />
      <v-text-field v-model="state" label="State"></v-text-field>
      <v-text-field v-model="city" label="City"></v-text-field>
      <v-text-field v-model="organization" label="Organization"></v-text-field>
      <v-text-field v-model="organizationalUnit" label="Organizational Unit"></v-text-field>
    </v-form>
  </v-sheet>
</template>

<script setup lang="ts">
import { ref } from 'vue'
import { Country } from "../../stores/countries";

const caName = ref<string>('')
const keyType = ref<string>('RSA')
const digestAlgorithm = ref<string>('sha256')
const lifetime = ref<number>(3650)
const commonName = ref<string>('')
const country = ref<string>('')
const state = ref<string>('')
const city = ref<string>('')
const organization = ref<string>('')
const organizationalUnit = ref<string>('')
</script>
